local util = {}

function util.randomVector(radius)
	return Vector(0, math.random(0, radius)):rotated(math.rad(math.random(0, 359)))
end

function util.oprint(txt, x, y)
	local r,g,b,a = love.graphics.getColor()
	love.graphics.setColor(r*0.25, g*0.25, b*0.25, a)

	for ox=-1,1,1 do
		for oy=-1,1,1 do
			love.graphics.print(txt, x+ox, y+oy)
		end
	end

	love.graphics.setColor(r,g,b,a)
	love.graphics.print(txt, x, y)
end

function util.oprintf(txt, x, y, limit, align)
	local r,g,b,a = love.graphics.getColor()
	love.graphics.setColor(r*0.25, g*0.25, b*0.25, a)

	for ox=-1,1,1 do
		for oy=-1,1,1 do
			love.graphics.printf(txt, x+ox, y+oy, limit, align)
		end
	end

	love.graphics.setColor(r,g,b,a)
	love.graphics.printf(txt, x, y, limit, align)
end

return util