Hole = Object:extend()

function Hole:new(x, y, radius)

    self.x = x
    self.y = y
    self.radius = radius

    function Hole:detectCollision(ball)
        if ball ~= nil then
                if (ball.x + ball.radius < self.x + self.radius and
                    ball.x + ball.radius*2 > self.x and
                    ball.y + ball.radius< self.y + self.radius and
                    ball.y + ball.radius*2 > self.y) then
                    return true
                else
                    return false
                end
        end
        
    end
    end

    function Hole:draw()
        
        love.graphics.circle("fill", self.x, self.y, self.radius)
        love.graphics.setColor(1,0,0)
        love.graphics.circle("fill", self.x, self.y, 1)
        love.graphics.setColor(1,1,1)
    end
  
return Hole